- Cal3D 0.11 API Reference -

Public Member Functions | List of all members
CalCoreMorphAnimation Class Reference

## Public Member Functions

bool | addMorphTarget (int coreMeshID, int morphTargetID)
| Adds a core mesh ID and a morph target ID of that core mesh.
std::vector< int > & | getVectorCoreMeshID ()
| Returns the core mesh ID list.
std::vector< int > & | getVectorMorphTargetID ()
| Returns the morph target ID list.

## Member Function Documentation

## ◆ addMorphTarget()

bool CalCoreMorphAnimation::addMorphTarget | ( | int | coreMeshID,
|  | int | morphTargetID )

Adds a core mesh ID and a morph target ID of that core mesh.

Parameters

  coreMeshID | A core mesh ID that should be added.
  morphTargetID | A morph target ID that should be added.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ getVectorCoreMeshID()

std::vector< int > & CalCoreMorphAnimation::getVectorCoreMeshID | ( |  | ) |

Returns the core mesh ID list.

This function returns the list that contains all core mesh IDs of the core morph animation instance.

Returns
  A reference to the core mesh ID list.

## ◆ getVectorMorphTargetID()

std::vector< int > & CalCoreMorphAnimation::getVectorMorphTargetID | ( |  | ) |

Returns the morph target ID list.

This function returns the list that contains all morph target IDs of the core morph animation instance.

Returns
  A reference to the morph target ID list.

The documentation for this class was generated from the following files:

- coremorphanimation.h
- coremorphanimation.cpp

Generated by The Cal3D Team with Doxygen 1.15.0